Skip to content

Proof of Delivery

The vWork mobile app allows workers to collect Proof of Delivery signatures from customers when completing any job. They also have the option of saving a photo with the signature at the same time. This combination of photo, signature, name and time is referred to as a POD or Proof of Delivery.

The API only allows the retrieval of these images. It is not possible to update, edit or delete PODs via the API.

(Please note: that this call references the default POD signature field that appears on all jobs, and does not include any extra signature custom fields that you may have added to your jobs.)

Retrieve A Specific POD Image

Request

Displays the Proof Of Delivery for a job. You are also able to access the POD via the job's third_party_id if it has one. The format can be either PNG or JPG depending on whether the worker has also attached a photo.

Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
use_third_party_idboolean

When set to true (e.g. 'true') the :id argument is taken to be the job's third party id instead of the job's vWork id.

Example:use_third_party_id=true
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/jobs/{id}/proof_of_delivery.png
curl -i -X GET \
  'https://api.vworkapp.com/v5/jobs/{id}/proof_of_delivery.png?api_key=string&use_third_party_id=true&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"private"
Content-Dispositionstring
Example:"inline"
Content-Lengthstring
Example:"85115"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Content-Transfer-Encodingstring
Example:"binary"
Datestring
Example:"Tue, 14 Jun 2016 00:28:57 GMT"
ETagstring
Example:"W/\"b3fbf37c5e99f04a601208a9945fb6e6\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"14e113a0-7d91-4d9e-ad76-ad6dc3227864"
X-Runtimestring
Example:"0.214161"
X-Unique-IDstring
Example:"CA7C7B8A:CF64_0A000ED8:01BB_575F4FC9_A22FE7:1EC7"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyimage/png
string

Raw XML payload — see the example.

Response
Returns either JPG or PNG bitmap data (depending on whether a photo is attached to the signature)